commit:     a9499b92b7c9f2e98b0a3e6c425d00f3f1de50a5
Author:     Ronny (tastytea) Gutbrod <gentoo <AT> tastytea <DOT> de>
AuthorDate: Tue Apr 27 13:48:58 2021 +0000
Commit:     Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Tue Apr 27 13:48:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a9499b92

net-im/srain: Version bump 1.2.1.

Signed-off-by: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea.de>

 net-im/srain/Manifest           |  1 +
 net-im/srain/srain-1.2.1.ebuild | 41 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/net-im/srain/Manifest b/net-im/srain/Manifest
index f09717820..af5610edf 100644
--- a/net-im/srain/Manifest
+++ b/net-im/srain/Manifest
@@ -1,2 +1,3 @@
 DIST srain-1.1.1.tar.gz 941824 BLAKE2B 
96b53e7e05f42514bc429cc30938f3a104d65f48ffbc08f0ec176e8bff6fc346cc6dabbcd8cfaa9db41af205a4079400f4b24ea1ad7ef4cb787b34eedd6d6cf5
 SHA512 
1cd8604b79d03a054b6b785529feef9479836f5fdc406101f3e67bfcb6a400ab8dae2b1ac317fd92b491e60faae069c3a61f4997ae15b6c9b2373b20e8ab7ac0
 DIST srain-1.1.3.tar.gz 944319 BLAKE2B 
74beb34a8e10716392aaaf07586c399f7a66601015c7761c116a3dcf822d6f9c69d3bc3e40b1b5ed780aed24ce1b2fa8496f2c8f4a77484acce294edfb653d00
 SHA512 
ad1c47bb249dae27cea3d4a044bbd10c034f2bb44fbec34053eeb878405caf9cf6236a03a7ff922f4eb4c189e5ccab4a307c208569bf0fdeb654a9de03a6d4fe
+DIST srain-1.2.1.tar.gz 954668 BLAKE2B 
20beb88761a387a041659ea11f852655daab9fdcd4b1d2f2b080bfa4dd9c19a61c12ebba9a581a10355d9249a6063dcdfea486dccb625622e68b57a4445afae7
 SHA512 
594cb65827ba3f4cf99820640103bdd1d67577df31e1fcb27f98722e243bcbab68420aff0c3f26cc7d0c149a4a8c256fc386709b8ff86d6b617c170f00c076f3

diff --git a/net-im/srain/srain-1.2.1.ebuild b/net-im/srain/srain-1.2.1.ebuild
new file mode 100644
index 000000000..c9bbe7c2a
--- /dev/null
+++ b/net-im/srain/srain-1.2.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson xdg
+
+DESCRIPTION="Modern, beautiful IRC client written in GTK+ 3"
+HOMEPAGE="https://github.com/SrainApp/srain";
+SRC_URI="https://github.com/SrainApp/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="debug doc"
+
+RDEPEND="
+       >=x11-libs/gtk+-3.22.0
+       x11-libs/libnotify
+"
+DEPEND="
+       ${RDEPEND}
+       app-crypt/libsecret
+       dev-libs/libconfig
+       net-libs/libsoup
+"
+
+src_prepare() {
+       sed -i "s/'doc', meson.project_name())/'doc', meson.project_name() + 
'-${PV}')/" \
+               meson.build || die
+
+       xdg_src_prepare
+}
+
+src_configure() {
+       local emesonargs=(
+               --buildtype $(usex debug 'debug' 'plain')
+               -Ddoc_builders="['man'$(usex doc ', "html"' '')]"
+       )
+       meson_src_configure
+}

Reply via email to